com.microfocus.awm.meta.interfaces

## Interface ISAEditorAction

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ISAEditorActionImpl

      public interface ISAEditorAction
      extends AWMObject

  By specifying the complex attribute ISA Editor Action, the corresponding global action acts as an editor action.

  An editor action appears in the context menu of an editor if the file suffix of the opened file matches one of the modeled editor suffixes

  The following features are supported:

  - `Property Mapping`
  - `Editor Suffixes`
  - `Update Edit Context`
  - `Modelled Edit Sessions Only`
  See Also:
    `TaurusPackage.getISAEditorAction()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEditorSuffixes()` Returns the value of the 'Editor Suffixes' attribute.
    `org.eclipse.emf.common.util.EList<SelectionPropertyMapping>` | `getPropertyMapping()` Returns the value of the 'Property Mapping' containment reference list.
    `boolean` | `isModelledEditSessionsOnly()` Returns the value of the 'Modelled Edit Sessions Only' attribute.
    `boolean` | `isSetEditorSuffixes()` Returns whether the value of the '`Editor Suffixes`' attribute is set.
    `boolean` | `isSetModelledEditSessionsOnly()` Returns whether the value of the '`Modelled Edit Sessions Only`' attribute is set.
    `boolean` | `isSetUpdateEditContext()` Returns whether the value of the '`Update Edit Context`' attribute is set.
    `boolean` | `isUpdateEditContext()` Returns the value of the 'Update Edit Context' attribute.
    `void` | `setEditorSuffixes(java.lang.String value)` Sets the value of the '`Editor Suffixes`' attribute.
    `void` | `setModelledEditSessionsOnly(boolean value)` Sets the value of the '`Modelled Edit Sessions Only`' attribute.
    `void` | `setUpdateEditContext(boolean value)` Sets the value of the '`Update Edit Context`' attribute.
    `void` | `unsetEditorSuffixes()` Unsets the value of the '`Editor Suffixes`' attribute.
    `void` | `unsetModelledEditSessionsOnly()` Unsets the value of the '`Modelled Edit Sessions Only`' attribute.
    `void` | `unsetUpdateEditContext()` Unsets the value of the '`Update Edit Context`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPropertyMapping

          org.eclipse.emf.common.util.EList<SelectionPropertyMapping> getPropertyMapping()

      Returns the value of the 'Property Mapping' containment reference list. The list contents are of type `SelectionPropertyMapping`. Complex attribute that maps a specific text selection in the editor to a property; used as an input parameter for tools within the action.
      Returns:
        the value of the 'Property Mapping' containment reference list.
      See Also:
        `TaurusPackage.getISAEditorAction_PropertyMapping()`

    - #### getEditorSuffixes

          java.lang.String getEditorSuffixes()

      Returns the value of the 'Editor Suffixes' attribute. The default value is `"*"`.
      Blank separated list of file suffixes for which the editor action applies (case insensitive). If the action should appear in all text editors, an asterisk (*) is used.
      Returns:
        the value of the 'Editor Suffixes' attribute.
      See Also:
        `isSetEditorSuffixes()`, `unsetEditorSuffixes()`, `setEditorSuffixes(String)`, `TaurusPackage.getISAEditorAction_EditorSuffixes()`

    - #### setEditorSuffixes

          void setEditorSuffixes(java.lang.String value)

      Sets the value of the '`Editor Suffixes`' attribute.
      Parameters:
        `value` - the new value of the 'Editor Suffixes' attribute.
      See Also:
        `isSetEditorSuffixes()`, `unsetEditorSuffixes()`, `getEditorSuffixes()`

    - #### unsetEditorSuffixes

          void unsetEditorSuffixes()

      Unsets the value of the '`Editor Suffixes`' attribute.
      See Also:
        `isSetEditorSuffixes()`, `getEditorSuffixes()`, `setEditorSuffixes(String)`

    - #### isSetEditorSuffixes

          boolean isSetEditorSuffixes()

      Returns whether the value of the '`Editor Suffixes`' attribute is set.
      Returns:
        whether the value of the 'Editor Suffixes' attribute is set.
      See Also:
        `unsetEditorSuffixes()`, `getEditorSuffixes()`, `setEditorSuffixes(String)`

    - #### isUpdateEditContext

          boolean isUpdateEditContext()

      Returns the value of the 'Update Edit Context' attribute. The default value is `"false"`.
      Whether tools of the editor action are allowed to update the editor’s context.
      Returns:
        the value of the 'Update Edit Context' attribute.
      See Also:
        `isSetUpdateEditContext()`, `unsetUpdateEditContext()`, `setUpdateEditContext(boolean)`, `TaurusPackage.getISAEditorAction_UpdateEditContext()`

    - #### setUpdateEditContext

          void setUpdateEditContext(boolean value)

      Sets the value of the '`Update Edit Context`' attribute.
      Parameters:
        `value` - the new value of the 'Update Edit Context' attribute.
      See Also:
        `isSetUpdateEditContext()`, `unsetUpdateEditContext()`, `isUpdateEditContext()`

    - #### unsetUpdateEditContext

          void unsetUpdateEditContext()

      Unsets the value of the '`Update Edit Context`' attribute.
      See Also:
        `isSetUpdateEditContext()`, `isUpdateEditContext()`, `setUpdateEditContext(boolean)`

    - #### isSetUpdateEditContext

          boolean isSetUpdateEditContext()

      Returns whether the value of the '`Update Edit Context`' attribute is set.
      Returns:
        whether the value of the 'Update Edit Context' attribute is set.
      See Also:
        `unsetUpdateEditContext()`, `isUpdateEditContext()`, `setUpdateEditContext(boolean)`

    - #### isModelledEditSessionsOnly

          boolean isModelledEditSessionsOnly()

      Returns the value of the 'Modelled Edit Sessions Only' attribute. The default value is `"true"`.
      Whether the editor action should be shown only in modeled editor sessions or all editors (no matter where they are opened from).
      Returns:
        the value of the 'Modelled Edit Sessions Only' attribute.
      See Also:
        `isSetModelledEditSessionsOnly()`, `unsetModelledEditSessionsOnly()`, `setModelledEditSessionsOnly(boolean)`, `TaurusPackage.getISAEditorAction_ModelledEditSessionsOnly()`

    - #### setModelledEditSessionsOnly

          void setModelledEditSessionsOnly(boolean value)

      Sets the value of the '`Modelled Edit Sessions Only`' attribute.
      Parameters:
        `value` - the new value of the 'Modelled Edit Sessions Only' attribute.
      See Also:
        `isSetModelledEditSessionsOnly()`, `unsetModelledEditSessionsOnly()`, `isModelledEditSessionsOnly()`

    - #### unsetModelledEditSessionsOnly

          void unsetModelledEditSessionsOnly()

      Unsets the value of the '`Modelled Edit Sessions Only`' attribute.
      See Also:
        `isSetModelledEditSessionsOnly()`, `isModelledEditSessionsOnly()`, `setModelledEditSessionsOnly(boolean)`

    - #### isSetModelledEditSessionsOnly

          boolean isSetModelledEditSessionsOnly()

      Returns whether the value of the '`Modelled Edit Sessions Only`' attribute is set.
      Returns:
        whether the value of the 'Modelled Edit Sessions Only' attribute is set.
      See Also:
        `unsetModelledEditSessionsOnly()`, `isModelledEditSessionsOnly()`, `setModelledEditSessionsOnly(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.